Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventSetting Class Reference

A GdkEventSetting C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventSetting:

List of all members.

## Public Member Functions

Accessors

- GdkEventSetting * gdk_event_setting () const
    Get a pointer to the GdkEventSetting structure.
- SettingAction action () const
    Returns what happened to the setting (SETTING_ACTION_NEW, SETTING_ACTION_CHANGED or SETTING_ACTION_DELETED).
- String name () const
    Returns the name of the setting.

## Detailed Description

A GdkEventSetting C++ wrapper class.

An EventSetting is generated when a setting is modified.

The event type is SETTING.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer